LiveData_result (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.livedata.agent.commands.LiveData_result class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.livedata.agent.commands
Class LiveData_result

    java.lang.Object
      org.hyperic.hq.agent.AgentRemoteValue
          org.hyperic.hq.livedata.agent.commands.LiveData_result

All Implemented Interfaces:
  java.io.Externalizable, java.io.Serializable, GenericValueMap

    public class LiveData_result

extends AgentRemoteValue

See Also:
  Serialized Form

Constructor Summary
`LiveData_result()`
`LiveData_result(AgentRemoteValue val)`

Method Summary
`java.lang.String` | `getResult()`
`void` | `setResult(java.lang.String result)`
`void` | `setValue(java.lang.String key, java.lang.String val)` Setup a key/value pair.

Methods inherited from class org.hyperic.hq.agent.AgentRemoteValue
`fromStream, getKeys, getValue, getValueAsDouble, getValueAsInt, getValueAsLong, readExternal, toStream, toString, writeExternal`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### LiveData_result

    public LiveData_result()

### LiveData_result

    public LiveData_result(AgentRemoteValue val)
                    throws AgentRemoteException

Throws:
  `AgentRemoteException`

Method Detail

### setValue

    public void setValue(java.lang.String key,
                         java.lang.String val)

  Description copied from class: `AgentRemoteValue`
  Setup a key/value pair.

  Specified by:
    `setValue` in interface `GenericValueMap`
  Overrides:
    `setValue` in class `AgentRemoteValue`
  Parameters:
    `key` - Key to assign the value to
    `val` - Value to assign to the key

### setResult

    public void setResult(java.lang.String result)
                   throws java.io.IOException

  Throws:
    `java.io.IOException`

### getResult

    public java.lang.String getResult()
                               throws java.io.IOException,
                                      java.util.zip.DataFormatException

  Throws:
    `java.io.IOException`
    `java.util.zip.DataFormatException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.